---
layout: docs
page_title: targets list - Command
description: >-
  The "targets list" command lists the available target resources within a scope or resource.
---

# targets list

Command: `targets list`

The `targets list` command lets you list the targets within a given scope or resource.

## Example

This example lists all targets within the scope `s_1234567890`.
The `recursive` option means Boundary runs the operation recursively on any child scopes, if applicable:

```shell-session
$ boundary targets list -scope-id s_1234567890 -recursive
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary targets list [options] [args]
```

</CodeBlockConfig>

### Command options

- `-filter=<string>` - If set, Boundary filters the list operation before the results are returned.
The filter operates against each item in the list.
We recommend that you use single quotes, because the filters contain double quotes.
Refer to the [Filtering and listing resources documentation](/boundary/docs/filtering) for more details.
- `recursive` - If set, runs the list operation recursively on any child scopes, if the type supports it.
The default value is `false`.
- `scope-id=<string>` - The scope from which to list the targets.
The default value is `global`.
You can also specify this value using the **BOUNDARY_SCOPE_ID** environment variable.
- `list_token` (optional) - An opaque token that is returned from the previous `list` response.
If you do not supply a value, pagination starts from the beginning.
- `page_size` (optional) - An unsigned integer that indicates the number of items that should be included on the page of search results.
If you do not provide a value, or if you provide a value of `0`, Boundary uses the default page size of 1000 items.
If you configure it, the `page_size` value overrides the default page size.
Controller administrators can also configure a `max_page_size` option that constrains the maximum page size a user can request.

@include 'cmd-option-note.mdx'